foldersTree = gFld("<b>OMNeT++</b>", "", "")
     insDoc(foldersTree, gLnk("OMNeT++ API Reference", "", "main.html"))
aux1 = insFld(foldersTree, gFld("File List", "", "files.html"))
       insDoc(aux1, gLnk("carray.h", "", ""))
       insDoc(aux1, gLnk("cchannel.h", "", ""))
       insDoc(aux1, gLnk("ccoroutine.h", "", ""))
       insDoc(aux1, gLnk("cdensity.h", "", ""))
       insDoc(aux1, gLnk("cdetect.h", "", ""))
       insDoc(aux1, gLnk("cdispstr.h", "", ""))
       insDoc(aux1, gLnk("cenum.h", "", ""))
       insDoc(aux1, gLnk("cenvir.h", "", ""))
       insDoc(aux1, gLnk("cexception.h", "", ""))
       insDoc(aux1, gLnk("cfsm.h", "", ""))
       insDoc(aux1, gLnk("cgate.h", "", ""))
       insDoc(aux1, gLnk("chead.h", "", ""))
       insDoc(aux1, gLnk("chist.h", "", ""))
       insDoc(aux1, gLnk("cksplit.h", "", ""))
       insDoc(aux1, gLnk("cllist.h", "", ""))
       insDoc(aux1, gLnk("cmessage.h", "", ""))
       insDoc(aux1, gLnk("cmodule.h", "", ""))
       insDoc(aux1, gLnk("cmsgheap.h", "", ""))
       insDoc(aux1, gLnk("cnetmod.h", "", ""))
       insDoc(aux1, gLnk("cobject.h", "", ""))
       insDoc(aux1, gLnk("coutvect.h", "", ""))
       insDoc(aux1, gLnk("cpacket.h", "", ""))
       insDoc(aux1, gLnk("cpar.h", "", ""))
       insDoc(aux1, gLnk("cpsquare.h", "", ""))
       insDoc(aux1, gLnk("cqueue.h", "", ""))
       insDoc(aux1, gLnk("csimul.h", "", ""))
       insDoc(aux1, gLnk("cstat.h", "", ""))
       insDoc(aux1, gLnk("cstk.h", "", ""))
       insDoc(aux1, gLnk("cstruct.h", "", ""))
       insDoc(aux1, gLnk("ctopo.h", "", ""))
       insDoc(aux1, gLnk("ctypes.h", "", ""))
       insDoc(aux1, gLnk("cvarhist.h", "", ""))
       insDoc(aux1, gLnk("cwatch.h", "", ""))
       insDoc(aux1, gLnk("defs.h", "", ""))
       insDoc(aux1, gLnk("distrib.h", "", ""))
       insDoc(aux1, gLnk("envirext.h", "", ""))
       insDoc(aux1, gLnk("errmsg.h", "", ""))
       insDoc(aux1, gLnk("index.h", "", ""))
       insDoc(aux1, gLnk("macros.h", "", ""))
       insDoc(aux1, gLnk("omnetpp.h", "", ""))
       insDoc(aux1, gLnk("onstartup.h", "", ""))
       insDoc(aux1, gLnk("protocol.h", "", ""))
       insDoc(aux1, gLnk("random.h", "", ""))
       insDoc(aux1, gLnk("util.h", "", ""))
aux1 = insFld(foldersTree, gFld("Compound List", "", "annotated.html"))
       insDoc(aux1, gLnk("cAccuracyDetection", "", "classcAccuracyDetection.html"))
       insDoc(aux1, gLnk("cADByStddev", "", "classcADByStddev.html"))
       insDoc(aux1, gLnk("cArray", "", "classcArray.html"))
       insDoc(aux1, gLnk("cBag", "", "classcBag.html"))
       insDoc(aux1, gLnk("cChannel", "", "classcChannel.html"))
       insDoc(aux1, gLnk("cClassRegister", "", "classcClassRegister.html"))
       insDoc(aux1, gLnk("cCompoundModule", "", "classcCompoundModule.html"))
       insDoc(aux1, gLnk("cCoroutine", "", "classcCoroutine.html"))
       insDoc(aux1, gLnk("cDensityEstBase", "", "classcDensityEstBase.html"))
       insDoc(aux1, gLnk("cDisplayStringParser", "", "classcDisplayStringParser.html"))
       insDoc(aux1, gLnk("cDoubleExpression", "", "classcDoubleExpression.html"))
       insDoc(aux1, gLnk("cDoubleHistogram", "", "classcDoubleHistogram.html"))
       insDoc(aux1, gLnk("cEndModuleException", "", "classcEndModuleException.html"))
       insDoc(aux1, gLnk("cEnum", "", "classcEnum.html"))
       insDoc(aux1, gLnk("cEnvir", "", "classcEnvir.html"))
       insDoc(aux1, gLnk("cEqdHistogramBase", "", "classcEqdHistogramBase.html"))
       insDoc(aux1, gLnk("cException", "", "classcException.html"))
       insDoc(aux1, gLnk("cExpression", "", "classcExpression.html"))
       insDoc(aux1, gLnk("cFSM", "", "classcFSM.html"))
       insDoc(aux1, gLnk("cFunctionType", "", "classcFunctionType.html"))
       insDoc(aux1, gLnk("cGate", "", "classcGate.html"))
       insDoc(aux1, gLnk("cHead", "", "classcHead.html"))
       insDoc(aux1, gLnk("cHistogramBase", "", "classcHistogramBase.html"))
       insDoc(aux1, gLnk("cIterator", "", "classcIterator.html"))
       insDoc(aux1, gLnk("cKSplit", "", "classcKSplit.html"))
       insDoc(aux1, gLnk("cLinkedList", "", "classcLinkedList.html"))
       insDoc(aux1, gLnk("cLinkType", "", "classcLinkType.html"))
       insDoc(aux1, gLnk("cLongHistogram", "", "classcLongHistogram.html"))
       insDoc(aux1, gLnk("cMessage", "", "classcMessage.html"))
       insDoc(aux1, gLnk("cMessageHeap", "", "classcMessageHeap.html"))
       insDoc(aux1, gLnk("cModule", "", "classcModule.html"))
       insDoc(aux1, gLnk("cModuleInterface", "", "classcModuleInterface.html"))
       insDoc(aux1, gLnk("cModulePar", "", "classcModulePar.html"))
       insDoc(aux1, gLnk("cModuleType", "", "classcModuleType.html"))
       insDoc(aux1, gLnk("cNetMod", "", "classcNetMod.html"))
       insDoc(aux1, gLnk("cNetworkType", "", "classcNetworkType.html"))
       insDoc(aux1, gLnk("cObject", "", "classcObject.html"))
       insDoc(aux1, gLnk("const_cIterator", "", "classconst__cIterator.html"))
       insDoc(aux1, gLnk("cOutputScalarManager", "", "classcOutputScalarManager.html"))
       insDoc(aux1, gLnk("cOutputVectorManager", "", "classcOutputVectorManager.html"))
       insDoc(aux1, gLnk("cOutVector", "", "classcOutVector.html"))
       insDoc(aux1, gLnk("cPacket", "", "classcPacket.html"))
       insDoc(aux1, gLnk("cPar", "", "classcPar.html"))
       insDoc(aux1, gLnk("cPSquare", "", "classcPSquare.html"))
       insDoc(aux1, gLnk("cQueue", "", "classcQueue.html"))
       insDoc(aux1, gLnk("cSimpleChannel", "", "classcSimpleChannel.html"))
       insDoc(aux1, gLnk("cSimpleModule", "", "classcSimpleModule.html"))
       insDoc(aux1, gLnk("cSimulation", "", "classcSimulation.html"))
       insDoc(aux1, gLnk("cSnapshotManager", "", "classcSnapshotManager.html"))
       insDoc(aux1, gLnk("cStatistic", "", "classcStatistic.html"))
       insDoc(aux1, gLnk("cStdDev", "", "classcStdDev.html"))
       insDoc(aux1, gLnk("cStructDescriptor", "", "classcStructDescriptor.html"))
       insDoc(aux1, gLnk("cSubModIterator", "", "classcSubModIterator.html"))
       insDoc(aux1, gLnk("cTDExpandingWindows", "", "classcTDExpandingWindows.html"))
       insDoc(aux1, gLnk("cTerminationException", "", "classcTerminationException.html"))
       insDoc(aux1, gLnk("cTopology", "", "classcTopology.html"))
       insDoc(aux1, gLnk("cTransientDetection", "", "classcTransientDetection.html"))
       insDoc(aux1, gLnk("cVarHistogram", "", "classcVarHistogram.html"))
       insDoc(aux1, gLnk("cWatch", "", "classcWatch.html"))
       insDoc(aux1, gLnk("cWeightedStdDev", "", "classcWeightedStdDev.html"))
       insDoc(aux1, gLnk("ExecuteOnStartup", "", "classExecuteOnStartup.html"))
       insDoc(aux1, gLnk("cPar::ExprElem", "", "structcPar_1_1ExprElem.html"))
       insDoc(aux1, gLnk("cKSplit::Grid", "", "structcKSplit_1_1Grid.html"))
       insDoc(aux1, gLnk("cQueue::Iterator", "", "classcQueue_1_1Iterator.html"))
       insDoc(aux1, gLnk("cMessageHeap::Iterator", "", "classcMessageHeap_1_1Iterator.html"))
       insDoc(aux1, gLnk("cLinkedList::Iterator", "", "classcLinkedList_1_1Iterator.html"))
       insDoc(aux1, gLnk("cKSplit::Iterator", "", "classcKSplit_1_1Iterator.html"))
       insDoc(aux1, gLnk("cTopology::Link", "", "classcTopology_1_1Link.html"))
       insDoc(aux1, gLnk("cTopology::LinkIn", "", "classcTopology_1_1LinkIn.html"))
       insDoc(aux1, gLnk("cTopology::LinkOut", "", "classcTopology_1_1LinkOut.html"))
       insDoc(aux1, gLnk("cTopology::Node", "", "classcTopology_1_1Node.html"))
       insDoc(aux1, gLnk("opp_string", "", "classopp__string.html"))
       insDoc(aux1, gLnk("sEnumBuilder", "", "classsEnumBuilder.html"))
       insDoc(aux1, gLnk("sFieldWrapper", "", "classsFieldWrapper.html"))
aux1 = insFld(foldersTree, gFld("Class Hierarchy", "", "hierarchy.html"))
       insDoc(aux1, gLnk("cCoroutine", "", "classcCoroutine.html"))
       insDoc(aux1, gLnk("cDisplayStringParser", "", "classcDisplayStringParser.html"))
       insDoc(aux1, gLnk("cEnvir", "", "classcEnvir.html"))
  aux2 = insFld(aux1, gFld("cException", "", "classcException.html"))
         insDoc(aux2, gLnk("cEndModuleException", "", "classcEndModuleException.html"))
         insDoc(aux2, gLnk("cTerminationException", "", "classcTerminationException.html"))
  aux2 = insFld(aux1, gFld("cExpression", "", "classcExpression.html"))
         insDoc(aux2, gLnk("cDoubleExpression", "", "classcDoubleExpression.html"))
       insDoc(aux1, gLnk("cIterator", "", "classcIterator.html"))
  aux2 = insFld(aux1, gFld("cObject", "", "classcObject.html"))
    aux3 = insFld(aux2, gFld("cAccuracyDetection", "", "classcAccuracyDetection.html"))
           insDoc(aux3, gLnk("cADByStddev", "", "classcADByStddev.html"))
         insDoc(aux2, gLnk("cArray", "", "classcArray.html"))
         insDoc(aux2, gLnk("cBag", "", "classcBag.html"))
    aux3 = insFld(aux2, gFld("cChannel", "", "classcChannel.html"))
           insDoc(aux3, gLnk("cSimpleChannel", "", "classcSimpleChannel.html"))
         insDoc(aux2, gLnk("cClassRegister", "", "classcClassRegister.html"))
         insDoc(aux2, gLnk("cEnum", "", "classcEnum.html"))
         insDoc(aux2, gLnk("cFSM", "", "classcFSM.html"))
         insDoc(aux2, gLnk("cFunctionType", "", "classcFunctionType.html"))
         insDoc(aux2, gLnk("cGate", "", "classcGate.html"))
         insDoc(aux2, gLnk("cHead", "", "classcHead.html"))
         insDoc(aux2, gLnk("cLinkedList", "", "classcLinkedList.html"))
         insDoc(aux2, gLnk("cLinkType", "", "classcLinkType.html"))
    aux3 = insFld(aux2, gFld("cMessage", "", "classcMessage.html"))
           insDoc(aux3, gLnk("cPacket", "", "classcPacket.html"))
         insDoc(aux2, gLnk("cMessageHeap", "", "classcMessageHeap.html"))
    aux3 = insFld(aux2, gFld("cModule", "", "classcModule.html"))
           insDoc(aux3, gLnk("cCompoundModule", "", "classcCompoundModule.html"))
           insDoc(aux3, gLnk("cNetMod", "", "classcNetMod.html"))
           insDoc(aux3, gLnk("cSimpleModule", "", "classcSimpleModule.html"))
         insDoc(aux2, gLnk("cModuleInterface", "", "classcModuleInterface.html"))
         insDoc(aux2, gLnk("cModuleType", "", "classcModuleType.html"))
         insDoc(aux2, gLnk("cNetworkType", "", "classcNetworkType.html"))
         insDoc(aux2, gLnk("cOutVector", "", "classcOutVector.html"))
    aux3 = insFld(aux2, gFld("cPar", "", "classcPar.html"))
           insDoc(aux3, gLnk("cModulePar", "", "classcModulePar.html"))
         insDoc(aux2, gLnk("cQueue", "", "classcQueue.html"))
         insDoc(aux2, gLnk("cSimulation", "", "classcSimulation.html"))
    aux3 = insFld(aux2, gFld("cStatistic", "", "classcStatistic.html"))
      aux4 = insFld(aux3, gFld("cStdDev", "", "classcStdDev.html"))
        aux5 = insFld(aux4, gFld("cDensityEstBase", "", "classcDensityEstBase.html"))
          aux6 = insFld(aux5, gFld("cHistogramBase", "", "classcHistogramBase.html"))
            aux7 = insFld(aux6, gFld("cEqdHistogramBase", "", "classcEqdHistogramBase.html"))
                   insDoc(aux7, gLnk("cDoubleHistogram", "", "classcDoubleHistogram.html"))
                   insDoc(aux7, gLnk("cLongHistogram", "", "classcLongHistogram.html"))
                 insDoc(aux6, gLnk("cVarHistogram", "", "classcVarHistogram.html"))
               insDoc(aux5, gLnk("cKSplit", "", "classcKSplit.html"))
               insDoc(aux5, gLnk("cPSquare", "", "classcPSquare.html"))
             insDoc(aux4, gLnk("cWeightedStdDev", "", "classcWeightedStdDev.html"))
         insDoc(aux2, gLnk("cStructDescriptor", "", "classcStructDescriptor.html"))
         insDoc(aux2, gLnk("cTopology", "", "classcTopology.html"))
    aux3 = insFld(aux2, gFld("cTransientDetection", "", "classcTransientDetection.html"))
           insDoc(aux3, gLnk("cTDExpandingWindows", "", "classcTDExpandingWindows.html"))
         insDoc(aux2, gLnk("cWatch", "", "classcWatch.html"))
       insDoc(aux1, gLnk("const_cIterator", "", "classconst__cIterator.html"))
       insDoc(aux1, gLnk("cOutputScalarManager", "", "classcOutputScalarManager.html"))
       insDoc(aux1, gLnk("cOutputVectorManager", "", "classcOutputVectorManager.html"))
       insDoc(aux1, gLnk("cSnapshotManager", "", "classcSnapshotManager.html"))
       insDoc(aux1, gLnk("cSubModIterator", "", "classcSubModIterator.html"))
       insDoc(aux1, gLnk("ExecuteOnStartup", "", "classExecuteOnStartup.html"))
       insDoc(aux1, gLnk("cPar::ExprElem", "", "structcPar_1_1ExprElem.html"))
       insDoc(aux1, gLnk("cKSplit::Grid", "", "structcKSplit_1_1Grid.html"))
       insDoc(aux1, gLnk("cQueue::Iterator", "", "classcQueue_1_1Iterator.html"))
       insDoc(aux1, gLnk("cMessageHeap::Iterator", "", "classcMessageHeap_1_1Iterator.html"))
       insDoc(aux1, gLnk("cLinkedList::Iterator", "", "classcLinkedList_1_1Iterator.html"))
       insDoc(aux1, gLnk("cKSplit::Iterator", "", "classcKSplit_1_1Iterator.html"))
  aux2 = insFld(aux1, gFld("cTopology::Link", "", "classcTopology_1_1Link.html"))
         insDoc(aux2, gLnk("cTopology::LinkIn", "", "classcTopology_1_1LinkIn.html"))
         insDoc(aux2, gLnk("cTopology::LinkOut", "", "classcTopology_1_1LinkOut.html"))
       insDoc(aux1, gLnk("cTopology::Node", "", "classcTopology_1_1Node.html"))
       insDoc(aux1, gLnk("opp_string", "", "classopp__string.html"))
       insDoc(aux1, gLnk("sEnumBuilder", "", "classsEnumBuilder.html"))
       insDoc(aux1, gLnk("sFieldWrapper", "", "classsFieldWrapper.html"))
     insDoc(foldersTree, gLnk("Compound Members", "", "functions.html"))
aux1 = insFld(foldersTree, gFld("Modules", "", "modules.html"))
       insDoc(aux1, gLnk("Simulation core classes", "", "group__SimCore.html"))
       insDoc(aux1, gLnk("Simulation supporting classes", "", "group__SimSupport.html"))
       insDoc(aux1, gLnk("Container classes", "", "group__Containers.html"))
       insDoc(aux1, gLnk("Random number generation", "", "group__RandomNumbers.html"))
       insDoc(aux1, gLnk("Statistical data collection", "", "group__Statistics.html"))
       insDoc(aux1, gLnk("User interface: cEnvir and ev", "", "group__Envir.html"))
       insDoc(aux1, gLnk("Enums, types, function typedefs", "", "group__EnumsTypes.html"))
       insDoc(aux1, gLnk("Functions", "", "group__Functions.html"))
       insDoc(aux1, gLnk("Macros", "", "group__Macros.html"))
       insDoc(aux1, gLnk("Internal classes", "", "group__Internals.html"))
       insDoc(aux1, gLnk("Extension interface to Envir", "", "group__EnvirExtensions.html"))
